Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1500524 - Review Request: gpxsee - GPS log file viewer and analyzer
Summary: Review Request: gpxsee - GPS log file viewer and analyzer
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-10 20:17 UTC by Nikola Forró
Modified: 2017-11-17 12:55 UTC (History)
2 users (show)

Fixed In Version: gpxsee-4.16-1.fc25, gpxsee-4.16-1.fc26, gpxsee-4.16-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-17 12:55:57 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Nikola Forró 2017-10-10 20:17:32 UTC
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/nforro/GPXSee/gpxsee.git/plain/gpxsee.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/nforro/GPXSee/fedora-rawhide-x86_64/00623581-gpxsee/gpxsee-4.15-1.fc28.src.rpm
Description: GPS log file viewer and analyzer with support for GPX, TCX, KML, FIT, IGC and NMEA files
Fedora Account System Username: nforro

Comment 1 Robert-André Mauchin 🐧 2017-10-11 09:33:10 UTC
Hello,

 - Please use a more meaningful name for your archive, with:

Source0:        https://github.com/tumic0/%{appname}/archive/%{version}/%{name}-%{version}.tar.gz

 - You need to install the lang files in %{_datadir}/%{name}/locale/ in %install then run:

%find_lang %{name} --with-qt

  And then add the lang file to %files

%files -f %{name}.lang

Comment 2 Nikola Forró 2017-10-11 10:04:09 UTC
> Please use a more meaningful name for your archive

Will do. Thanks, I wasn't aware of this form of URL.

> You need to install the lang files in %{_datadir}/%{name}/locale/

The lang files are embedded into the executable as resources. Is that not allowed in Fedora? I could try to convince upstream to change that.

Comment 3 Robert-André Mauchin 🐧 2017-10-11 10:21:41 UTC
>The lang files are embedded into the executable as resources. Is that not allowed in Fedora? I could try to convince upstream to change that.

I didn't know that, sorry.

There's another issue, you must own %{_datadir}/%{name}: remove the asterisk * here:

%{_datadir}/%{name}/*



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 231 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/gpxsee
     /review-gpxsee/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/gpxsee
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/mime,
     /usr/share/mime/packages, /usr/share/gpxsee
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gpxsee-
     debuginfo , gpxsee-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gpxsee-4.15-1.fc28.x86_64.rpm
          gpxsee-debuginfo-4.15-1.fc28.x86_64.rpm
          gpxsee-debugsource-4.15-1.fc28.x86_64.rpm
          gpxsee-4.15-1.fc28.src.rpm
gpxsee.x86_64: W: only-non-binary-in-usr-lib
gpxsee.x86_64: W: no-manual-page-for-binary gpxsee
gpxsee-debugsource.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 5 Robert-André Mauchin 🐧 2017-10-11 10:58:05 UTC
All good then, package accepted.

Comment 6 Nikola Forró 2017-10-11 11:00:17 UTC
Thanks for prompt review!

Comment 7 Gwyn Ciesla 2017-10-11 12:55:10 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gpxsee. You may commit to the branch "f27" in about 10 minutes.

Comment 8 Fedora Update System 2017-10-11 16:32:37 UTC
gpxsee-4.15-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c330d8e5ef

Comment 9 Fedora Update System 2017-10-11 16:32:45 UTC
gpxsee-4.15-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-da608139c9

Comment 10 Fedora Update System 2017-10-11 16:32:51 UTC
gpxsee-4.15-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3e4bc1aa15

Comment 11 Fedora Update System 2017-10-13 04:22:55 UTC
gpxsee-4.15-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-da608139c9

Comment 12 Fedora Update System 2017-10-13 04:50:37 UTC
gpxsee-4.15-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3e4bc1aa15

Comment 13 Fedora Update System 2017-10-13 06:23:06 UTC
gpxsee-4.15-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c330d8e5ef

Comment 14 Fedora Update System 2017-10-20 10:56:34 UTC
gpxsee-4.16-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-aed930be42

Comment 15 Fedora Update System 2017-10-20 10:56:42 UTC
gpxsee-4.16-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8dd52662b

Comment 16 Fedora Update System 2017-10-20 10:56:47 UTC
gpxsee-4.16-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3071b2131e

Comment 17 Fedora Update System 2017-10-21 19:29:09 UTC
gpxsee-4.16-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b8dd52662b

Comment 18 Fedora Update System 2017-10-22 02:25:31 UTC
gpxsee-4.16-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-aed930be42

Comment 19 Fedora Update System 2017-10-22 03:24:55 UTC
gpxsee-4.16-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3071b2131e

Comment 20 Fedora Update System 2017-11-15 17:40:06 UTC
gpxsee-4.16-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-11-15 20:08:52 UTC
gpxsee-4.16-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-11-15 22:28:44 UTC
gpxsee-4.16-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.